﻿Public Class MvcApplication
	Inherits System.Web.HttpApplication

	Shared Sub RegisterGlobalFilters(ByVal filters As GlobalFilterCollection)
		filters.Add(New HandleErrorAttribute())
	End Sub

	Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
		routes.IgnoreRoute("{resource}.axd/{*pathInfo}")
		routes.MapRoute( _
		 "Default", _
		 "{controller}/{action}/{id}", _
		 New With {.controller = "", .action = "", .id = UrlParameter.Optional} _
		)

	End Sub

	Sub Application_Start()
		AreaRegistration.RegisterAllAreas()

		RegisterGlobalFilters(GlobalFilters.Filters)
		RegisterRoutes(RouteTable.Routes)
	End Sub
End Class
